# build docker image
docker build src/kmdiff/ -t 'lbmc/kmdiff:1.0.1'
docker push lbmc/kmdiff:1.0.1

# build charliecloud image
ch-image pull -s /Xnfs/abc/charliecloud/ lbmc/kmdiff:1.0.1
ch-image pull -s /Xnfs/abc/charliecloud quay.io/biocontainers/seqtk:1.3--ha92aebf_0
update_ch_image.sh

alias kmdiff="ch-run -b /scratch -c $PWD /Xnfs/abc/charliecloud/img/lbmc%kmdiff+1.0.1 -- kmdiff"
alias seqtk="ch-run -b /scratch -c $PWD /Xnfs/abc/charliecloud/img/quay.io%biocontainers%seqtk+2.3--ha92aebf_0 -- seqtk"

WORK=$(pwd)
mkdir results/

# convert fastq into fasta
fd ".*fastq" data \
  | sed 's|.fastq.gz||' \
  | awk '{system("ch-run -b /scratch -c $PWD /Xnfs/abc/charliecloud/img/quay.io%biocontainers%seqtk+1.3--ha92aebf_0 -- seqtk seq -a "$0".fastq.gz > "$0".fasta")}'

fd ".*fasta" data --exec gzip -v9 {}


# kmdiff count
kmdiff count -f ${WORK}/data/sample_mbelari.csv -d ${WORK}/results/mbelari_counts/ -t 32
kmdiff count -f ${WORK}/data/sample_mlongespiculosa.csv -d ${WORK}/results/mlongespiculosa_counts/ -t 32
kmdiff count -f ${WORK}/data/sample_mspiculigera.csv -d ${WORK}/results/mspiculigera_counts/ -t 32

# kmdiff diff

kmdiff diff -d ${WORK}/results/mbelari_counts/ -1 7 -2 2 -t 32
kmdiff diff -d ${WORK}/results/mlongespiculosa_counts/ -1 1 -2 1 -t 32
kmdiff diff -d ${WORK}/results/mspiculigera_counts/ -1 1 -2 1 -t 32
